You are not logged in.

#1 2021-02-16 07:36:13

callmer
Member
Registered: 2021-01-07
Posts: 74

[SOLVED]Can't install AUR package

I am trying to install jre11, so I did

git clone https://aur.archlinux.org/jre11.git

and

makepkg -si

inside the cloned dir and I got

Failure while downloading manual://jdk-11.0.10_linux-x64_bin.tar.gz
    Aborting...

, what is the issue? Thanks.

solution: download appropriate tar.gz file from oracle website

Last edited by callmer (2021-02-16 14:31:08)

Offline

#2 2021-02-16 08:22:34

Eiz
Member
Registered: 2020-12-04
Posts: 2

Re: [SOLVED]Can't install AUR package

<delete me>

Last edited by Eiz (2021-02-16 09:29:31)

Offline

#3 2021-02-16 09:15:09

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 10,195
Website

Re: [SOLVED]Can't install AUR package

Please don't suggest people use AUR helpers, especially when you don't understand what the problem is.

callmer, please post the full output, not just the part you think is relevant.

Mod note: Moving to AUR Issues.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2021-02-16 09:28:40

callmer
Member
Registered: 2021-01-07
Posts: 74

Re: [SOLVED]Can't install AUR package

WorMzy wrote:

Please don't suggest people use AUR helpers, especially when you don't understand what the problem is.

callmer, please post the full output, not just the part you think is relevant.

Mod note: Moving to AUR Issues.

Thanks for reply

makepkg -si
==> Making package: jre11 11.0.10-1 (Tue 16 Feb 2021 01:28:14 PM +04)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading jdk-11.0.10_linux-x64_bin.tar.gz...
The source file for this package needs to be downloaded manually
since it requires a login and is not redistributable.
Please visit
  https://www.oracle.com/technetwork/java/javase/downloads/
  Java SE ... JDK, Download v
and download
 jdk-11.0.10_linux-x64_bin.tar.gz
to your Downloads folder (XDG_DOWNLOAD_DIR) or in with the PKGBUILD.

Please do not post alternate sources. They are not legal. Advertising
will get them taken down by Oracle or too much traffic. Keep it a
secret.
==> ERROR: Failure while downloading manual://jdk-11.0.10_linux-x64_bin.tar.gz
    Aborting...

Offline

#5 2021-02-16 09:29:19

callmer
Member
Registered: 2021-01-07
Posts: 74

Re: [SOLVED]Can't install AUR package

WorMzy wrote:

Please don't suggest people use AUR helpers, especially when you don't understand what the problem is.

callmer, please post the full output, not just the part you think is relevant.

Mod note: Moving to AUR Issues.

it is the same, Thanks anyway.

Offline

#6 2021-02-16 09:34:36

hcjl
Member
From: berlin
Registered: 2007-06-29
Posts: 274

Re: [SOLVED]Can't install AUR package

Did you download the jr11 file and place it in the folder the message states?

Online

#7 2021-02-16 09:39:45

callmer
Member
Registered: 2021-01-07
Posts: 74

Re: [SOLVED]Can't install AUR package

hcjl wrote:

Did you download the jr11 file and place it in the folder the message states?

I just cloned git directory to ~, then get there and tried to install it

Offline

#8 2021-02-16 09:42:41

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 10,195
Website

Re: [SOLVED]Can't install AUR package

I suggest you read the message, it is quite clear what you need to do.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#9 2021-02-16 09:48:45

callmer
Member
Registered: 2021-01-07
Posts: 74

Re: [SOLVED]Can't install AUR package

WorMzy wrote:

I suggest you read the message, it is quite clear what you need to do.

Sorry I can't understand, are you about previous reply? what jr11 file is it? Where can I get it? Here my cloned dir files

ls
jre11.install  PKGBUILD  readme.sh  src

Sorry for noobeness
update: ooo wait It seem I got it

Last edited by callmer (2021-02-16 09:54:58)

Offline

#10 2021-02-16 10:23:38

callmer
Member
Registered: 2021-01-07
Posts: 74

Re: [SOLVED]Can't install AUR package

WorMzy wrote:

I suggest you read the message, it is quite clear what you need to do.

Well I downloaded this file an tried again and got this

makepkg -si
==> Making package: jre11 11.0.10-1 (Tue 16 Feb 2021 02:21:34 PM +04)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found jdk-11.0.10_linux-x64_bin.tar.gz
  -> Found readme.sh
==> Validating source files with md5sums...
    jdk-11.0.10_linux-x64_bin.tar.gz ... FAILED
    readme.sh ... Passed
==> ERROR: One or more files did not pass the validity check!

Then I found a video where a man is trying to install it by another way where first he have to decompress jdk-11.0.10_linux-x64_bin.tar.gz file and here my second problem occured

tar -xzf jdk-11.0.10_linux-x64_bin.tar.gz 

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error is not recoverable: exiting now

Offline

#11 2021-02-16 10:39:05

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 12,211

Re: [SOLVED]Can't install AUR package

Double check the md5sum (... maybe check on the oracle page whether a deviation is expected here) and change it accordingly in the PKGBUILD.

Also, do you actually require Oracle's JDK for your usecase? Maybe opting for the in repo OpenJDK variant is sufficient depending on what you actually intend to do.

Last edited by V1del (2021-02-16 10:41:22)

Offline

#12 2021-02-16 12:31:24

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 3,924

Re: [SOLVED]Can't install AUR package

callmer wrote:

Then I found a video where a man is trying to install it by another way where first he have to decompress jdk-11.0.10_linux-x64_bin.tar.gz file and here my second problem occured

tar -xzf jdk-11.0.10_linux-x64_bin.tar.gz 

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error is not recoverable: exiting now

Sounds like a corrupted (incomplete) download.


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#13 2021-02-16 13:33:19

callmer
Member
Registered: 2021-01-07
Posts: 74

Re: [SOLVED]Can't install AUR package

V1del wrote:

Double check the md5sum (... maybe check on the oracle page whether a deviation is expected here) and change it accordingly in the PKGBUILD.

Also, do you actually require Oracle's JDK for your usecase? Maybe opting for the in repo OpenJDK variant is sufficient depending on what you actually intend to do.

I want it to make spark applications on scala for hadoop. Actually I was installed OpenJDK15 but after I got error on

mvn install

in maven project I decided to downgrade java, while research I saw that OracleJDK is more recommended and that OpenJDK is buggy. Will you suggest me OpenJDK anyway? It seems like OracleJDK will bring some burecratic problems as I got from your message.

Offline

#14 2021-02-16 13:53:38

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 12,211

Re: [SOLVED]Can't install AUR package

Oracle JDK requires you to have a license if you intend to use it for production. For most practical purposes OpenJDK is identical to Oracle since JDK 8 or so.  What exactly did you "download" ?

It appears you just stumble from XY problem to XY problem.  I suggest you open a new thread with your actual original error message from the maven invocation.

Last edited by V1del (2021-02-16 13:56:39)

Offline

#15 2021-02-16 14:07:47

progandy
Member
Registered: 2012-05-17
Posts: 4,132

Re: [SOLVED]Can't install AUR package

@V1del: Hadoop only supports JDK 8 (and JRE 11): https://cwiki.apache.org/confluence/dis … a+Versions

Anyways, jre11-openjdk, jre8-openjdk and jdk8-openjdk are in the repository. Please try that first.

Last edited by progandy (2021-02-16 14:13:30)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

#16 2021-02-16 14:30:04

callmer
Member
Registered: 2021-01-07
Posts: 74

Re: [SOLVED]Can't install AUR package

progandy wrote:

@V1del: Hadoop only supports JDK 8 (and JRE 11): https://cwiki.apache.org/confluence/dis … a+Versions

Anyways, jre11-openjdk, jre8-openjdk and jdk8-openjdk are in the repository. Please try that first.

I downloaded it again and it works!!!! Thank you for your help.

Offline

#17 2021-02-16 17:27:03

callmer
Member
Registered: 2021-01-07
Posts: 74

Re: [SOLVED]Can't install AUR package

progandy wrote:

@V1del: Hadoop only supports JDK 8 (and JRE 11): https://cwiki.apache.org/confluence/dis … a+Versions

Anyways, jre11-openjdk, jre8-openjdk and jdk8-openjdk are in the repository. Please try that first.

Oh thanks I'll downgrade jdk then

Offline

Board footer

Powered by FluxBB